# $Revision: 1.18 $, $Date: 2004/05/30 20:56:46 $
%include	/usr/lib/rpm/macros.perl
Summary:	A weather plugin for gkrellm
Summary(pl):	Plugin pokazujcy pogod dla gkrellm
Summary(pt_BR):	Um plugin gkrellm para acompanhamento das condies climticas
Name:		gkrellm-weather
Version:	2.0.6
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://kmlinux.fjfi.cvut.cz/~makovick/gkrellm/gkrellweather-%{version}.tgz
# Source0-md5:	458125fe9276db3733a6c4b0e27eca86
Patch0:		%{name}-paths.patch
URL:		http://kmlinux.fjfi.cvut.cz/~makovick/gkrellm/index.html
BuildRequires:	gkrellm-devel >= 2.0.0
BuildRequires:	gtk+2-devel
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GKrellWeather is a weather plugin for GKrellM. Its features include:

  - Choose your own location by 4-letter METAR station identifier code.
  - Monitor temperature, dew point, pressure, relative humidity, sky
    condition, wind direction and speed
  - Display using imperial units (degrees Fareheight, inches of Mercury,
    miles per hour)
  - Display using metric units (degrees Celsius, millimeters of Mercury,
    kilometers per hour)
  - Display pressure in kPa, hPa and mmHg
  - Display wind speeds in kmph, mps and beaufort scale

%description -l pl
GKrellWeather jest pluginem pokazujcym pogod w GKrellM. Jego
wasnoci:

  - Wybieranie lokalizacji poprzez 4-literowy kod METAR.
  - Monitorowanie temperatury, dew point, cinienia, wilgotnoci, stanu
    zachmurzenia, prdkoci i kierunku wiatru.
  - Wywietlanie przy uyciu systemu miar anglosaskich (stopnie
    Fareheighta, cale supa rtci, mile na godzin) jak i metrycznego
    (stopnie Celsjusza, milimetry supa rtci, kilometry na godzin)
  - wywietlanie cinienia w kPa, hPa i mmHg
  - wywietlanie prdkoci wiatru w km/h, m/s i w skali Beauforta

%description -l pt_BR
Um plugin gkrellm para acompanhamento das condies climticas,
inclui:

 - Escolha sua localizao atravs de um cdigo de identificao de 4
   letras (estao METAR)
 - Monitora temperatura, presso, ponto de orvalho, umidade relativa,
   condies atmosfricas, direo e velocidade do vento
 - Mostrar usando o sistema imperial de medidas (graus Fareheight,
   polegadas de mercrio, milhas por hora)
 - Mostrar usando o sistema mtrico (graus Clsius, milmetros de
   mercrio, kilmetros por hora)
 - Mostrar presso em kPa, hPa e mmHg
 - Mostrar velocidade do vendo em kmph, mps e escala beaufort

%prep
%setup -q -n gkrellweather-%{version}
%patch0 -p1

%{__perl} -pi -e 's@lib/gkrellm2@%{_lib}/gkrellm2@' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fPIC `pkg-config --cflags gtk+-2.0`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/gkrellm2,%{_bindir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/gkrellm2/plugins/gkrellweather.so
%attr(755,root,root) %{_bindir}/GrabWeather

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gkrellm-weather.spec,v $
Revision 1.18  2004/05/30 20:56:46  qboosh
- fixed build on amd64, really use optflags, release 2

Revision 1.17  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/10 20:43:50  radek
- version 2.0.6,  BR: rpm-perlprov,  don't BR: perl

Revision 1.14  2003/01/22 16:34:36  radek
- removed memories of /usr/X11R6
- moved plugins to _libdir/gkrellm2/plugins
- release 2

Revision 1.13  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.12  2003/01/12 23:27:47  radek
- version 2.0.5

Revision 1.11  2002/11/27 20:15:39  juandon
- new %%doc

Revision 1.10  2002/10/30 12:58:13  aflinta
- updated to version 2.0.2

Revision 1.9  2002/10/29 22:06:38  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.8  2002/04/25 16:24:13  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/07 11:46:37  blues
- 0.2.7 (fixes hang-ups in some cases)
- patch updated

Revision 1.4  2002/01/07 11:22:30  blues
- URLs updated

Revision 1.3  2001/09/17 12:14:02  qboosh
- removed English "es" translations

Revision 1.2  2001/08/06 12:24:03  kloczek
- cosmetics.

Revision 1.1  2001/08/05 11:09:41  blues
- brand new gkrellm plugin - shows weather conditions

Based on Conectiva spec file.
